Skip to main content
POST
/
encryption-keys
/
{id}
/
revert
Revert encryption key rotation
curl --request POST \
  --url https://management-api.fpjs.io/encryption-keys/{id}/revert \
  --header 'Authorization: Bearer <token>' \
  --header 'X-API-Version: <x-api-version>'
import requests

url = "https://management-api.fpjs.io/encryption-keys/{id}/revert"

headers = {
    "X-API-Version": "<x-api-version>",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'X-API-Version': '<x-api-version>', Authorization: 'Bearer <token>'}
};

fetch('https://management-api.fpjs.io/encryption-keys/{id}/revert', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "tok_No3jUysGLCDuqB3RnCVf1weo",
    "name": "My Encryption Key",
    "status": "enabled",
    "environment": "ae_rrETjdWcfqI6AFsk",
    "created_at": "2024-05-31T01:24:39.506Z",
    "last_activated_at": "2024-05-31T01:24:39.506Z",
    "last_rotated_at": "2024-05-31T01:24:39.506Z",
    "description": "Description for my encryption key",
    "previous_token": "eWDrrpGGLjDQW0LBA0Wj",
    "token": "eWDrrpGGLjDQW0LBA0Wj",
    "next_token": "eWDrrpGGLjDQW0LBA0Wj",
    "last_deactivated_at": null
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "violations": [
      {
        "property": "<string>",
        "message": "<string>"
      }
    ]
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>"
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "violations": [
      {
        "property": "<string>",
        "message": "<string>"
      }
    ]
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Version
string
required

Management API version.

Path Parameters

id
string
required

Response

Encryption key object.

data
object
required